Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.structures
Class SortKey

    java.lang.Object
      org.eclipse.birt.report.model.core.Structure
          org.eclipse.birt.report.model.api.elements.structures.SortKey

All Implemented Interfaces:
  java.lang.Cloneable, IStructure, org.eclipse.birt.report.model.core.IPropertySet

    public class SortKey

extends org.eclipse.birt.report.model.core.Structure

This class represents a sort entry for a table or list item, it defines the column and sort direction pair. Each sort key has the following properties:

Column Name
  the name of the column that is sorted.
Direction
  the sort direction:asc or desc.

Field Summary
`static java.lang.String` | `DIRECTION_MEMBER` Name of the "direction" member.
`static java.lang.String` | `KEY_MEMBER` Name of the "key" member.
`static java.lang.String` | `LOCALE_MEMBER` Name of the member that defines the locale of the sort collation.
`static java.lang.String` | `SORT_STRUCT` Name of this structure.
`static java.lang.String` | `STRENGTH_MEMBER` Name of the member that defines the strength of the sort collation.

Constructor Summary
`SortKey()` Default constructor.
`SortKey(java.lang.String key, java.lang.String direction)` Constructs the sort key with the key to sort and the direction.

Method Summary
`java.lang.String` | `getColumnName()` Deprecated. This property has been removed. See the method `getKey()`.
`java.lang.String` | `getDirection()` Returns the sort direction.
`protected java.lang.Object` | `getIntrinsicProperty(java.lang.String propName)`
`java.lang.String` | `getKey()` Returns the expression that gives the sort key on which to sort.
`com.ibm.icu.util.ULocale` | `getLocale()` Gets the locale of this sort.
`int` | `getStrength()` Gets the strength of the sort collation.
`java.lang.String` | `getStructName()` Returns the name of the structure definition.
`StructureHandle` | `handle(SimpleValueHandle valueHandle, int index)`
`void` | `setColumnName(java.lang.String columnName)` Deprecated. This property has been removed. See the method `setKey(String)`.
`void` | `setDirection(java.lang.String direction)` Sets the sort direction.
`protected void` | `setIntrinsicProperty(java.lang.String propName, java.lang.Object value)`
`void` | `setKey(java.lang.String key)` Sets the expression that gives the sort key on which to sort.
`void` | `setLocale(com.ibm.icu.util.ULocale locale)` Sets the locale of this sort.
`void` | `setStrength(int strength)` Sets the strength of this sort collation.
`java.util.List` | `validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`

Methods inherited from class org.eclipse.birt.report.model.core.Structure
`checkStringMember, copy, equals, getCompatibleValue, getContext, getDefn, getElement, getExpressionProperty, getHandle, getHandle, getLocalProperty, getLocalProperty, getMemberDefn, getObjectDefn, getProperty, getProperty, getReferencableProperty, getStringProperty, isDesignTime, isReferencable, setContext, setExpressionProperty, setProperty, setProperty, setupContext, updateReference`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SORT_STRUCT

    public static final java.lang.String SORT_STRUCT

  Name of this structure. Matches the definition in the meta-data dictionary.

  See Also:
    Constant Field Values

### KEY_MEMBER

    public static final java.lang.String KEY_MEMBER

  Name of the "key" member. An expression that gives the sort key on which to sort.

  See Also:
    Constant Field Values

### DIRECTION_MEMBER

    public static final java.lang.String DIRECTION_MEMBER

  Name of the "direction" member.

  See Also:
    Constant Field Values

### STRENGTH_MEMBER

    public static final java.lang.String STRENGTH_MEMBER

  Name of the member that defines the strength of the sort collation.

  See Also:
    Constant Field Values

### LOCALE_MEMBER

    public static final java.lang.String LOCALE_MEMBER

  Name of the member that defines the locale of the sort collation.

  See Also:
    Constant Field Values

Constructor Detail

### SortKey

    public SortKey(java.lang.String key,
                   java.lang.String direction)

  Constructs the sort key with the key to sort and the direction.

  Parameters:
    `key` - the key of the sort entry
    `direction` - sort direction: Ascending or descending order

### SortKey

    public SortKey()

  Default constructor.

Method Detail

### getStructName

    public java.lang.String getStructName()

  Description copied from interface: `IStructure`
  Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

  Returns:
    the internal name of the structure a defined in the meta-data dictionary.

### getIntrinsicProperty

    protected java.lang.Object getIntrinsicProperty(java.lang.String propName)

  Specified by:
    `getIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`

### setIntrinsicProperty

    protected void setIntrinsicProperty(java.lang.String propName,
                                        java.lang.Object value)

  Specified by:
    `setIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`

### getKey

    public java.lang.String getKey()

  Returns the expression that gives the sort key on which to sort.

  Returns:
    the sort key on which to sort

### setKey

    public void setKey(java.lang.String key)

  Sets the expression that gives the sort key on which to sort.

  Parameters:
    `key` - the sort key to set

### getDirection

    public java.lang.String getDirection()

  Returns the sort direction. The possible values are define in `DesignChoiceConstants`, and they are:
  - SORT_DIRECTION_ASC
  - SORT_DIRECTION_DESC

  Returns:
    the sort direction

### setDirection

    public void setDirection(java.lang.String direction)

  Sets the sort direction. The allowed values are define in `DesignChoiceConstants`, and they are:
  - SORT_DIRECTION_ASC
  - SORT_DIRECTION_DESC

  Parameters:
    `direction` - the direction to set

### getStrength

    public int getStrength()

  Gets the strength of the sort collation. By default it is -1.

  Returns:
    the strength of the sort

### setStrength

    public void setStrength(int strength)

  Sets the strength of this sort collation.

  Parameters:
    `strength` -

### getLocale

    public com.ibm.icu.util.ULocale getLocale()

  Gets the locale of this sort.

  Returns:
    locale of this sort

### setLocale

    public void setLocale(com.ibm.icu.util.ULocale locale)

  Sets the locale of this sort.

  Parameters:
    `locale` - the locale to set

### handle

    public StructureHandle handle(SimpleValueHandle valueHandle,
                                  int index)

  Specified by:
    `handle` in class `org.eclipse.birt.report.model.core.Structure`

### getColumnName

    public java.lang.String getColumnName()

  Deprecated. This property has been removed. See the method `getKey()`.

  Returns the name of the column that needs sort.

  Returns:
    the column name.

### setColumnName

    public void setColumnName(java.lang.String columnName)

  Deprecated. This property has been removed. See the method `setKey(String)`.

  Sets the name of the column that needs sort.

  Parameters:
    `columnName` - the column name to set

### validate

    public java.util.List validate(org.eclipse.birt.report.model.core.Module module,
                                   org.eclipse.birt.report.model.core.DesignElement element)

  Overrides:
    `validate` in class `org.eclipse.birt.report.model.core.Structure`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.